: Class PjPage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj.object
Class PjPage

    java.lang.Object
      |
      +--com.etymon.pj.object.BaseObject
            |
            +--com.etymon.pj.object.PjObject
                  |
                  +--com.etymon.pj.object.PjDictionary
                        |
                        +--com.etymon.pj.object.PjPagesNode
                              |
                              +--com.etymon.pj.object.PjPage

All Implemented Interfaces:
  java.lang.Cloneable

public class PjPage
extends PjPagesNode

A representation of a PDF page dictionary.

Fields inherited from class com.etymon.pj.object.PjDictionary
`_h`

Constructor Summary
`PjPage()` Creates a new page dictionary.
`PjPage(java.util.Hashtable h)` Creates a page dictionary as a wrapper around a Hashtable.

Method Summary
`java.lang.Object` | `clone()` Returns a deep copy of this object.
`PjObject` | `getAnnots()`
`PjObject` | `getB()`
`PjObject` | `getContents()`
`PjReference` | `getThumb()`
`static boolean` | `isLike(PjDictionary dictionary)` Examines a dictionary to see if it is a PDF page.
`void` | `setAnnots(PjArray annots)`
`void` | `setAnnots(PjReference annots)`
`void` | `setB(PjArray b)`
`void` | `setB(PjReference b)`
`void` | `setContents(PjArray contents)`
`void` | `setContents(PjReference contents)`
`void` | `setThumb(PjReference thumb)`

Methods inherited from class com.etymon.pj.object.PjPagesNode
`getAA, getCropBox, getDur, getHid, getMediaBox, getParent, getResources, getRotate, getTrans, setAA, setAA, setCropBox, setCropBox, setDur, setDur, setHid, setHid, setMediaBox, setMediaBox, setParent, setResources, setResources, setRotate, setRotate, setTrans, setTrans`

Methods inherited from class com.etymon.pj.object.PjDictionary
`cloneHt, getHashtable, hget, hgetReference, renumber, writePdf`

Methods inherited from class com.etymon.pj.object.BaseObject
`toString, write, write, write, writeln`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PjPage

    public PjPage()

  Creates a new page dictionary.

### PjPage

    public PjPage(java.util.Hashtable h)

  Creates a page dictionary as a wrapper around a Hashtable.
  Parameters:
    `h` - the Hashtable to use for this dictionary.

Method Detail

### setContents

    public void setContents(PjArray contents)

### setContents

    public void setContents(PjReference contents)

### getContents

    public PjObject getContents()
                         throws InvalidPdfObjectException

### setThumb

    public void setThumb(PjReference thumb)

### getThumb

    public PjReference getThumb()
                         throws InvalidPdfObjectException

### setAnnots

    public void setAnnots(PjArray annots)

### setAnnots

    public void setAnnots(PjReference annots)

### getAnnots

    public PjObject getAnnots()
                       throws InvalidPdfObjectException

### setB

    public void setB(PjArray b)

### setB

    public void setB(PjReference b)

### getB

    public PjObject getB()
                  throws InvalidPdfObjectException

### isLike

    public static boolean isLike(PjDictionary dictionary)

  Examines a dictionary to see if it is a PDF page.
  Parameters:
    `dictionary` - the dictionary to examine.
  Returns:
    true if the dictionary could be interpreted as a valid PjPage object.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a deep copy of this object.
  Overrides:
    `clone` in class `PjDictionary`
  Returns:
    a deep copy of this object.
  Throws:
    `java.lang.CloneNotSupportedException` - if the instance can not be cloned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD